<?php
/*
Plugin Name: Script Enabler
Plugin URI: http://ottodestruct.com/
Description: Enables you to use script tags in your posts without them getting horked up.
Author: Otto
Version: 1.1
Author URI: http://ottodestruct.com/
*/

function scriptFixer_pre($text)
{
	global $inlinescripts;
	$inlinescripts = "";
	if (preg_match_all("{\<script(.*)\<\/script\>}siU", $text, $temp)) {
		while (list($k, $v) = each($temp[0])) {
			$text = str_replace($v, '<!-- h'.$k.'h -->', $text);
			$inlinescripts[$k] = $temp[1][$k];
		}
	}
	return $text;
}

function scriptFixer_post($text)
{
	global $inlinescripts;
	if ($inlinescripts != "") {
		while (list($k, $v) = each($inlinescripts)) {
			$text = str_replace('<!-- h'.$k.'h -->', '<script'.$v.'</script>', $text);
		}
	}
	return $text;
}

add_filter('the_content', 'scriptFixer_pre',9);
add_filter('the_content', 'scriptFixer_post',11);

?>